Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.nurserostering.solver.drools
Class EmployeeConsecutiveWeekendAssignmentEnd

    java.lang.Object
      org.optaplanner.examples.nurserostering.solver.drools.EmployeeConsecutiveWeekendAssignmentEnd

All Implemented Interfaces:
  Serializable, Comparable<EmployeeConsecutiveWeekendAssignmentEnd>

    public class EmployeeConsecutiveWeekendAssignmentEnd

extends Object
implements Comparable<EmployeeConsecutiveWeekendAssignmentEnd>, Serializable

See Also:
  Serialized Form

Constructor Summary
`EmployeeConsecutiveWeekendAssignmentEnd(Employee employee, int sundayIndex)`

Method Summary
`int` | `compareTo(EmployeeConsecutiveWeekendAssignmentEnd other)`
`boolean` | `equals(Object o)`
`Contract` | `getContract()`
`Employee` | `getEmployee()`
`int` | `getSundayIndex()`
`int` | `hashCode()`
`void` | `setEmployee(Employee employee)`
`void` | `setSundayIndex(int sundayIndex)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmployeeConsecutiveWeekendAssignmentEnd

    public EmployeeConsecutiveWeekendAssignmentEnd(Employee employee,
                                                   int sundayIndex)

Method Detail

### getEmployee

    public Employee getEmployee()

### setEmployee

    public void setEmployee(Employee employee)

### getSundayIndex

    public int getSundayIndex()

### setSundayIndex

    public void setSundayIndex(int sundayIndex)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(EmployeeConsecutiveWeekendAssignmentEnd other)

  Specified by:
    `compareTo` in interface `Comparable<EmployeeConsecutiveWeekendAssignmentEnd>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getContract

    public Contract getContract()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.